Package: org.codehaus.groovy.grails.resolve.maven.aether

## [Groovy] Class AetherGraphNode

- org.codehaus.groovy.grails.resolve.maven.aether.AetherGraphNode

- Adapts a Aether dependency graph into the Grails graph node API for reporting

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AetherGraphNode (org.eclipse.aether.resolution.DependencyResult dependencyResult, java.util.List<org.eclipse.aether.artifact.Artifact> unresolved)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `createGraph(GraphNode current, java.util.List<org.eclipse.aether.graph.DependencyNode> nodes, java.util.List<org.eclipse.aether.artifact.Artifact> unresolved)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GraphNode` | `toString`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### AetherGraphNode(org.eclipse.aether.resolution.DependencyResult dependencyResult, java.util.List<org.eclipse.aether.artifact.Artifact> unresolved)

  - ### Method Detail

    - #### void createGraph(GraphNode current, java.util.List<org.eclipse.aether.graph.DependencyNode> nodes, java.util.List<org.eclipse.aether.artifact.Artifact> unresolved)